System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.All)

The class provides a way to specify an attribute for a . In addition to what the class provides, this class of object stores the type of the toolbox item.

Represents an attribute of a toolbox item.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  By default, the property is set to .

  Initializes a new instance of the class and specifies whether to use default initialization values.

  true to create a toolbox item attribute for a default type; false to associate no default toolbox item support for this attribute.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added: an object of type 'string'

  This constructor expects the parameter to be in the form <name of the item type>, <name of the assembly> (for example, System.Drawing.Design.ToolboxItem, System.Drawing.Design).

  Initializes a new instance of the class using the specified name of the type.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified type of the toolbox item.

  The type of the toolbox item.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.ToolboxItemAttribute

  By default, the property is set to .

  Initializes a new instance of the class and sets the type to the default, . This field is read-only.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added: an object of type 'object' To be added To be added: an object of type 'bool' To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added To be added: an object of type 'int' To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean

  By default, this value returns false from the method defined in the class.

  Gets a value indicating whether the current value of the attribute is the default value for the attribute.

  true if the current value of the attribute is the default; otherwise, false.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.ToolboxItemAttribute To be added

  Initializes a new instance of the class and sets the type to null. This field is read-only.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added: an object of type 'Type' To be added

  Gets or sets the type of the toolbox item.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets or sets the name of the type of the current .